diff --git a/gcc/config/msp430/msp430.c b/gcc/config/msp430/msp430.c
index 80a17a6..8a1b2fc 100644
--- a/gcc/config/msp430/msp430.c
+++ b/gcc/config/msp430/msp430.c
@@ -175,12 +175,12 @@ static const char * msp430_mcu_names [] =
 const char *
 msp430_mcu_name (void)
 {
-  if (target_mcu)
+  if (GCC_OPTION (target_mcu))
     {
       unsigned int i;
       static char mcu_name [64];
 
-      snprintf (mcu_name, sizeof (mcu_name) - 1, "__%s__", target_mcu);
+      snprintf (mcu_name, sizeof (mcu_name) - 1, "__%s__", GCC_OPTION (target_mcu));
       for (i = strlen (mcu_name); i--;)
 	mcu_name[i] = TOUPPER (mcu_name[i]);
       return mcu_name;
@@ -194,21 +194,21 @@ msp430_option_override (void)
 {
   init_machine_status = msp430_init_machine_status;
 
-  if (target_cpu)
+  if (GCC_OPTION (target_cpu))
     {
-      if (strcasecmp (target_cpu, "msp430x") == 0
-	  || strcasecmp (target_cpu, "msp430xv2") == 0
-	  || strcasecmp (target_cpu, "430x") == 0
-	  || strcasecmp (target_cpu, "430xv2") == 0)
+      if (strcasecmp (GCC_OPTION (target_cpu), "msp430x") == 0
+	  || strcasecmp (GCC_OPTION (target_cpu), "msp430xv2") == 0
+	  || strcasecmp (GCC_OPTION (target_cpu), "430x") == 0
+	  || strcasecmp (GCC_OPTION (target_cpu), "430xv2") == 0)
 	msp430x = true;
-      else if (strcasecmp (target_cpu, "msp430") == 0
-	       || strcasecmp (target_cpu, "430") == 0)
+      else if (strcasecmp (GCC_OPTION (target_cpu), "msp430") == 0
+	       || strcasecmp (GCC_OPTION (target_cpu), "430") == 0)
 	msp430x = false;
       else
-	error ("unrecognised argument of -mcpu: %s", target_cpu);
+	error ("unrecognised argument of -mcpu: %s", GCC_OPTION (target_cpu));
     }
 
-  if (target_mcu)
+  if (GCC_OPTION (target_mcu))
     {
       int i;
 
@@ -221,17 +221,17 @@ msp430_option_override (void)
 	 430X names.  However we want to be able to generate special C
 	 preprocessor defines for them, which is why we set target_mcu
 	 to NULL.  */
-      if (strcasecmp (target_mcu, "msp430") == 0)
+      if (strcasecmp (GCC_OPTION (target_mcu), "msp430") == 0)
 	{
 	  msp430x = false;
-	  target_mcu = NULL;
+	  GCC_OPTION (target_mcu) = NULL;
 	}
-      else if (strcasecmp (target_mcu, "msp430x") == 0
-	       || strcasecmp (target_mcu, "msp430xv2") == 0)
-	target_mcu = NULL;
+      else if (strcasecmp (GCC_OPTION (target_mcu), "msp430x") == 0
+	       || strcasecmp (GCC_OPTION (target_mcu), "msp430xv2") == 0)
+	GCC_OPTION (target_mcu) = NULL;
       else
 	for (i = ARRAY_SIZE (msp430_mcu_names); i--;)
-	  if (strcasecmp (msp430_mcu_names[i], target_mcu) == 0)
+	  if (strcasecmp (msp430_mcu_names[i], GCC_OPTION (target_mcu)) == 0)
 	    {
 	      msp430x = false;
 	      break;
@@ -243,18 +243,18 @@ msp430_option_override (void)
   if (TARGET_LARGE && !msp430x)
     error ("-mlarge requires a 430X-compatible -mmcu=");
 
-  if (flag_exceptions || flag_non_call_exceptions
-      || flag_unwind_tables || flag_asynchronous_unwind_tables)
-    flag_omit_frame_pointer = false;
+  if (GCC_OPTION (flag_exceptions) || GCC_OPTION (flag_non_call_exceptions)
+      || GCC_OPTION (flag_unwind_tables) || GCC_OPTION (flag_asynchronous_unwind_tables))
+    GCC_OPTION (flag_omit_frame_pointer) = false;
   else
-    flag_omit_frame_pointer = true;
+    GCC_OPTION (flag_omit_frame_pointer) = true;
 
   /* This is a hack to work around a problem with the newlib build
      mechanism.  Newlib always appends CFLAGS to the end of the GCC
      command line and always sets -O2 in CFLAGS.  Thus it is not
      possible to build newlib with -Os enabled.  Until now...  */
-  if (TARGET_OPT_SPACE && optimize < 3)
-    optimize_size = 1;
+  if (TARGET_OPT_SPACE && GCC_OPTION (optimize) < 3)
+    GCC_OPTION (optimize_size) = 1;
 }
 
 
@@ -1324,7 +1324,7 @@ msp430_expand_prologue (void)
   if (!cfun->machine->computed)
     msp430_compute_frame_info ();
 
-  if (flag_stack_usage_info)
+  if (GCC_OPTION (flag_stack_usage_info))
     current_function_static_stack_size = cfun->machine->framesize;
 
   if (crtl->args.pretend_args_size)
@@ -1849,9 +1849,9 @@ static const struct
 bool
 msp430_is_f5_mcu (void)
 {
-  if (target_mcu == NULL)
+  if (GCC_OPTION (target_mcu) == NULL)
     return false;
-  return strncasecmp (target_mcu, "msp430f5", 8) == 0;
+  return strncasecmp (GCC_OPTION (target_mcu), "msp430f5", 8) == 0;
 }
 
 /* Returns true id the current MCU has a second generation 32-bit hardware multiplier.  */
@@ -1868,11 +1868,11 @@ has_32bit_hw_mult (void)
       "msp430f47177",     "msp430f47187",     "msp430f47197"
     };
   int i;
-  if (target_mcu == NULL)
+  if (GCC_OPTION (target_mcu) == NULL)
     return false;
 
   for (i = ARRAY_SIZE (known_32bit_mult_mcus); i--;)
-    if (strcasecmp (target_mcu, known_32bit_mult_mcus[i]) == 0)
+    if (strcasecmp (GCC_OPTION (target_mcu), known_32bit_mult_mcus[i]) == 0)
       return true;
 
   return false;
@@ -1882,7 +1882,7 @@ has_32bit_hw_mult (void)
 bool
 msp430_hwmult_enabled (void)
 {
-  if (target_mcu == NULL)
+  if (GCC_OPTION (target_mcu) == NULL)
     return false;
 
   if (!ENABLE_HWMULT)
diff --git a/gcc/config/nds32/nds32.c b/gcc/config/nds32/nds32.c
index 645d8dd..833889d 100644
--- a/gcc/config/nds32/nds32.c
+++ b/gcc/config/nds32/nds32.c
@@ -181,7 +181,7 @@ nds32_compute_stack_frame (void)
 
   /* If $gp value is required to be saved on stack, it needs 4 bytes space.
      Check whether we are using PIC code genration.  */
-  cfun->machine->gp_size = (flag_pic) ? 4 : 0;
+  cfun->machine->gp_size = (GCC_OPTION (flag_pic)) ? 4 : 0;
 
   /* If $lp value is required to be saved on stack, it needs 4 bytes space.
      Check whether $lp is ever live.  */
@@ -244,7 +244,7 @@ nds32_compute_stack_frame (void)
 
       /* If stack usage computation is required,
          we need to provide the static stack size.  */
-      if (flag_stack_usage_info)
+      if (GCC_OPTION (flag_stack_usage_info))
 	current_function_static_stack_size = 0;
 
       /* No need to do following adjustment, return immediately.  */
@@ -339,7 +339,7 @@ nds32_compute_stack_frame (void)
 
   /* If stack usage computation is required,
      we need to provide the static stack size.  */
-  if (flag_stack_usage_info)
+  if (GCC_OPTION (flag_stack_usage_info))
     {
       current_function_static_stack_size
 	= NDS32_ROUND_UP_DOUBLE_WORD (block_size)
@@ -1012,7 +1012,7 @@ nds32_emit_isr_vector_section (int vector_id)
 
   /* Currently we have 4-byte or 16-byte size for each vector.
      If it is 4-byte, the first level handler name has suffix string "_4b".  */
-  vs_str = (nds32_isr_vector_size == 4) ? "_4b" : "";
+  vs_str = (GCC_OPTION (nds32_isr_vector_size) == 4) ? "_4b" : "";
 
   /* Now we can create first level handler name.  */
   snprintf (first_level_handler_name, sizeof (first_level_handler_name),
@@ -1027,11 +1027,11 @@ nds32_emit_isr_vector_section (int vector_id)
 
   /* Everything is ready.  We can start emit vector section content.  */
   nds32_emit_section_head_template (section_name, symbol_name,
-				    floor_log2 (nds32_isr_vector_size), false);
+				    floor_log2 (GCC_OPTION (nds32_isr_vector_size)), false);
 
   /* According to the vector size, the instructions in the
      vector section may be different.  */
-  if (nds32_isr_vector_size == 4)
+  if (GCC_OPTION (nds32_isr_vector_size) == 4)
     {
       /* This block is for 4-byte vector size.
          Hardware $VID support is necessary and only one instruction
@@ -1106,7 +1106,7 @@ nds32_emit_isr_reset_content (void)
   char symbol_name[100];
 
   total_n_vectors = nds32_isr_vectors[0].total_n_vectors;
-  vs_str = (nds32_isr_vector_size == 4) ? "_4b" : "";
+  vs_str = (GCC_OPTION (nds32_isr_vector_size) == 4) ? "_4b" : "";
 
   fprintf (asm_out_file, "\t! RESET HANDLER CONTENT - BEGIN !\n");
 
@@ -1142,7 +1142,7 @@ nds32_emit_isr_reset_content (void)
 
   fprintf (asm_out_file, "\t! ....................................\n");
   nds32_emit_section_head_template (section_name, symbol_name,
-				    floor_log2 (nds32_isr_vector_size), false);
+				    floor_log2 (GCC_OPTION (nds32_isr_vector_size)), false);
   fprintf (asm_out_file, "\tj\t%s ! jump to reset handler\n",
 			 reset_handler_name);
   nds32_emit_section_tail_template (symbol_name);
@@ -1722,7 +1722,7 @@ nds32_have_prologue_p (void)
     if (NDS32_REQUIRED_CALLEE_SAVED_P (i))
       return 1;
 
-  return (flag_pic
+  return (GCC_OPTION (flag_pic)
 	  || NDS32_REQUIRED_CALLEE_SAVED_P (FP_REGNUM)
 	  || NDS32_REQUIRED_CALLEE_SAVED_P (LP_REGNUM));
 }
@@ -1746,7 +1746,7 @@ static int
 nds32_register_priority (int hard_regno)
 {
   /* Encourage to use r0-r7 for LRA when optimize for size.  */
-  if (optimize_size && hard_regno < 8)
+  if (GCC_OPTION (optimize_size) && hard_regno < 8)
     return 4;
   return 3;
 }
@@ -2215,24 +2215,24 @@ nds32_trampoline_init (rtx m_tramp, tree fndecl, rtx chain_value)
      we get trampoline alignment in bytes for convenient comparison.  */
   tramp_align_in_bytes = TRAMPOLINE_ALIGNMENT / BITS_PER_UNIT;
 
-  if (tramp_align_in_bytes >= nds32_cache_block_size
-      && (tramp_align_in_bytes % nds32_cache_block_size) == 0)
+  if (tramp_align_in_bytes >= GCC_OPTION (nds32_cache_block_size)
+      && (tramp_align_in_bytes % GCC_OPTION (nds32_cache_block_size)) == 0)
     {
       /* Under this condition, the starting address of trampoline
          must be aligned to the starting address of each cache block
          and we do not have to worry about cross-boundary issue.  */
       for (i = 0;
-	   i < (TRAMPOLINE_SIZE + nds32_cache_block_size - 1)
-	       / nds32_cache_block_size;
+	   i < (TRAMPOLINE_SIZE + GCC_OPTION (nds32_cache_block_size) - 1)
+	       / GCC_OPTION (nds32_cache_block_size);
 	   i++)
 	{
 	  emit_move_insn (tmp_reg,
 			  plus_constant (Pmode, sync_cache_addr,
-					 nds32_cache_block_size * i));
+					 GCC_OPTION (nds32_cache_block_size) * i));
 	  emit_insn (isync_insn);
 	}
     }
-  else if (TRAMPOLINE_SIZE > nds32_cache_block_size)
+  else if (TRAMPOLINE_SIZE > GCC_OPTION (nds32_cache_block_size))
     {
       /* The starting address of trampoline code
          may not be aligned to the cache block,
@@ -2240,13 +2240,13 @@ nds32_trampoline_init (rtx m_tramp, tree fndecl, rtx chain_value)
          We need to sync the last element, which is 4-byte size,
          of trampoline template.  */
       for (i = 0;
-	   i < (TRAMPOLINE_SIZE + nds32_cache_block_size - 1)
-	       / nds32_cache_block_size;
+	   i < (TRAMPOLINE_SIZE + GCC_OPTION (nds32_cache_block_size) - 1)
+	       / GCC_OPTION (nds32_cache_block_size);
 	   i++)
 	{
 	  emit_move_insn (tmp_reg,
 			  plus_constant (Pmode, sync_cache_addr,
-					 nds32_cache_block_size * i));
+					 GCC_OPTION (nds32_cache_block_size) * i));
 	  emit_insn (isync_insn);
 	}
 
@@ -2668,14 +2668,14 @@ nds32_asm_file_start (void)
   /* Give assembler the size of each vector for interrupt handler.  */
   fprintf (asm_out_file, "\t! This vector size directive is required "
 			 "for checking inconsistency on interrupt handler\n");
-  fprintf (asm_out_file, "\t.vec_size\t%d\n", nds32_isr_vector_size);
+  fprintf (asm_out_file, "\t.vec_size\t%d\n", GCC_OPTION (nds32_isr_vector_size));
 
   /* If user enables '-mforce-fp-as-gp' or compiles programs with -Os,
      the compiler may produce 'la $fp,_FP_BASE_' instruction
      at prologue for fp-as-gp optimization.
      We should emit weak reference of _FP_BASE_ to avoid undefined reference
      in case user does not pass '--relax' option to linker.  */
-  if (TARGET_FORCE_FP_AS_GP || optimize_size)
+  if (TARGET_FORCE_FP_AS_GP || GCC_OPTION (optimize_size))
     {
       fprintf (asm_out_file, "\t! This weak reference is required to do "
 			     "fp-as-gp link time optimization\n");
@@ -2729,15 +2729,15 @@ nds32_asm_file_start (void)
 
   fprintf (asm_out_file, "\t! ------------------------------------\n");
 
-  if (optimize_size)
+  if (GCC_OPTION (optimize_size))
     fprintf (asm_out_file, "\t! Optimization level\t: -Os\n");
   else
-    fprintf (asm_out_file, "\t! Optimization level\t: -O%d\n", optimize);
+    fprintf (asm_out_file, "\t! Optimization level\t: -O%d\n", GCC_OPTION (optimize));
 
   fprintf (asm_out_file, "\t! ------------------------------------\n");
 
   fprintf (asm_out_file, "\t! Cache block size\t: %d\n",
-			 nds32_cache_block_size);
+			 GCC_OPTION (nds32_cache_block_size));
 
   fprintf (asm_out_file, "\t! ------------------------------------\n");
 
@@ -3238,7 +3238,7 @@ nds32_option_override (void)
   if (TARGET_ISA_V2)
     {
       /* Under V2 ISA, we need to strictly disable TARGET_V3PUSH.  */
-      target_flags &= ~MASK_V3PUSH;
+      GCC_OPTION (target_flags) &= ~MASK_V3PUSH;
     }
   if (TARGET_ISA_V3)
     {
@@ -3247,9 +3247,9 @@ nds32_option_override (void)
   if (TARGET_ISA_V3M)
     {
       /* Under V3M ISA, we need to strictly enable TARGET_REDUCED_REGS.  */
-      target_flags |= MASK_REDUCED_REGS;
+      GCC_OPTION (target_flags) |= MASK_REDUCED_REGS;
       /* Under V3M ISA, we need to strictly disable TARGET_PERF_EXT.  */
-      target_flags &= ~MASK_PERF_EXT;
+      GCC_OPTION (target_flags) &= ~MASK_PERF_EXT;
     }
 
   /* See if we are using reduced-set registers:
@@ -3276,11 +3276,11 @@ nds32_option_override (void)
   if (!TARGET_16_BIT)
     {
       /* Under no 16 bit ISA, we need to strictly disable TARGET_V3PUSH.  */
-      target_flags &= ~MASK_V3PUSH;
+      GCC_OPTION (target_flags) &= ~MASK_V3PUSH;
     }
 
   /* Currently, we don't support PIC code generation yet.  */
-  if (flag_pic)
+  if (GCC_OPTION (flag_pic))
     sorry ("not support -fpic");
 }
 
@@ -4562,7 +4562,7 @@ nds32_fp_as_gp_check_available (void)
           so that we have no chance to output .omit_fp_end directive.  */
   if (TARGET_FORBID_FP_AS_GP
       || lookup_attribute ("naked", DECL_ATTRIBUTES (current_function_decl))
-      || !optimize_size
+      || !GCC_OPTION (optimize_size)
       || frame_pointer_needed
       || NDS32_REQUIRED_CALLEE_SAVED_P (FP_REGNUM)
       || (cfun->stdarg == 1)
@@ -4591,7 +4591,7 @@ nds32_fp_as_gp_check_available (void)
          After that, we can set threshold by the existence of prologue.
          Each fp-implied instruction will gain 2-byte code size
          from gp-aware instruction, so we have following heuristics.  */
-      if (flag_pic
+      if (GCC_OPTION (flag_pic)
 	  || nds32_have_prologue_p ())
 	{
 	  /* Have-prologue:
@@ -5413,7 +5413,7 @@ nds32_target_alignment (rtx label)
 {
   rtx insn;
 
-  if (optimize_size)
+  if (GCC_OPTION (optimize_size))
     return 0;
 
   insn = next_active_insn (label);
diff --git a/gcc/config/nds32/nds32.h b/gcc/config/nds32/nds32.h
index 38847e5..8f75639 100644
--- a/gcc/config/nds32/nds32.h
+++ b/gcc/config/nds32/nds32.h
@@ -327,9 +327,9 @@ enum nds32_builtins
 
 /* ------------------------------------------------------------------------ */
 
-#define TARGET_ISA_V2   (nds32_arch_option == ARCH_V2)
-#define TARGET_ISA_V3   (nds32_arch_option == ARCH_V3)
-#define TARGET_ISA_V3M  (nds32_arch_option == ARCH_V3M)
+#define TARGET_ISA_V2   (GCC_OPTION (nds32_arch_option) == ARCH_V2)
+#define TARGET_ISA_V3   (GCC_OPTION (nds32_arch_option) == ARCH_V3)
+#define TARGET_ISA_V3M  (GCC_OPTION (nds32_arch_option) == ARCH_V3M)
 
 /* ------------------------------------------------------------------------ */
 
@@ -953,7 +953,7 @@ enum reg_class
    : QImode)
 
 /* Generate pc relative jump table when -fpic or -Os.  */
-#define CASE_VECTOR_PC_RELATIVE (flag_pic || optimize_size)
+#define CASE_VECTOR_PC_RELATIVE (GCC_OPTION (flag_pic) || GCC_OPTION (optimize_size))
 
 /* Define this macro if operations between registers with integral mode
    smaller than a word are always performed on the entire register.  */
diff --git a/gcc/config/nios2/nios2.c b/gcc/config/nios2/nios2.c
index edf9a61..75befbe 100644
--- a/gcc/config/nios2/nios2.c
+++ b/gcc/config/nios2/nios2.c
@@ -469,7 +469,7 @@ nios2_expand_prologue (void)
 
   total_frame_size = nios2_compute_frame_layout ();
 
-  if (flag_stack_usage_info)
+  if (GCC_OPTION (flag_stack_usage_info))
     current_function_static_stack_size = total_frame_size;
 
   /* Decrement the stack pointer.  */
@@ -679,7 +679,7 @@ void
 nios2_function_profiler (FILE *file, int labelno ATTRIBUTE_UNUSED)
 {
   fprintf (file, "\tmov\tr8, ra\n");
-  if (flag_pic == 1)
+  if (GCC_OPTION (flag_pic) == 1)
     {
       fprintf (file, "\tnextpc\tr2\n");
       fprintf (file, "\t1: movhi\tr3, %%hiadj(_gp_got - 1b)\n");
@@ -688,7 +688,7 @@ nios2_function_profiler (FILE *file, int labelno ATTRIBUTE_UNUSED)
       fprintf (file, "\tldw\tr2, %%call(_mcount)(r2)\n");
       fprintf (file, "\tcallr\tr2\n");
     }
-  else if (flag_pic == 2)
+  else if (GCC_OPTION (flag_pic) == 2)
     {
       fprintf (file, "\tnextpc\tr2\n");
       fprintf (file, "\t1: movhi\tr3, %%hiadj(_gp_got - 1b)\n");
@@ -829,7 +829,7 @@ nios2_custom_check_insns (void)
   /* Warn if the user has certain exotic operations that won't get used
      without -funsafe-math-optimizations.  See expand_builtin () in
      builtins.c.  */
-  if (!flag_unsafe_math_optimizations)
+  if (!GCC_OPTION (flag_unsafe_math_optimizations))
     for (i = 0; i < ARRAY_SIZE (nios2_fpu_insn); i++)
       if (N2FPU_ENABLED_P (i) && N2FPU_UNSAFE_P (i))
 	warning (0, "switch %<-mcustom-%s%> has no effect unless "
@@ -838,7 +838,7 @@ nios2_custom_check_insns (void)
   /* Warn if the user is trying to use -mcustom-fmins et. al, that won't
      get used without -ffinite-math-only.  See fold_builtin_fmin_fmax ()
      in builtins.c.  */
-  if (!flag_finite_math_only)
+  if (!GCC_OPTION (flag_finite_math_only))
     for (i = 0; i < ARRAY_SIZE (nios2_fpu_insn); i++)
       if (N2FPU_ENABLED_P (i) && N2FPU_FINITE_P (i))
 	warning (0, "switch %<-mcustom-%s%> has no effect unless "
@@ -944,7 +944,7 @@ nios2_handle_custom_fpu_cfg (const char *cfgname, const char *endp,
 	  nios2_set_fpu_custom_code ((enum n2fpu_code) i, cfg->code[i],
 				     override);
       if (cfg->set_sp_constants)
-	flag_single_precision_constant = 1;
+	GCC_OPTION (flag_single_precision_constant) = 1;
     }
   else
     warning (0, "ignoring unrecognized switch %<-mcustom-fpu-cfg%> "
@@ -988,7 +988,7 @@ nios2_option_override (void)
 #endif
 
   /* Check for unsupported options.  */
-  if (flag_pic && !TARGET_LINUX_ABI)
+  if (GCC_OPTION (flag_pic) && !TARGET_LINUX_ABI)
     sorry ("position-independent code requires the Linux ABI");
 
   /* Function to allocate machine-dependent function status.  */
@@ -996,15 +996,15 @@ nios2_option_override (void)
 
   nios2_section_threshold
     = (global_options_set.x_g_switch_value
-       ? g_switch_value : NIOS2_DEFAULT_GVALUE);
+       ? GCC_OPTION (g_switch_value) : NIOS2_DEFAULT_GVALUE);
 
   /* Default to -mgpopt unless -fpic or -fPIC.  */
-  if (TARGET_GPOPT == -1 && flag_pic)
-    TARGET_GPOPT = 0;
+  if (GCC_OPTION (TARGET_GPOPT) == -1 && GCC_OPTION (flag_pic))
+    GCC_OPTION (TARGET_GPOPT) = 0;
 
   /* If we don't have mul, we don't have mulx either!  */
   if (!TARGET_HAS_MUL && TARGET_HAS_MULX)
-    target_flags &= ~MASK_HAS_MULX;
+    GCC_OPTION (target_flags) &= ~MASK_HAS_MULX;
 
   /* Initialize default FPU configurations.  */
   nios2_init_fpu_configs ();
@@ -1019,8 +1019,8 @@ nios2_option_override (void)
      This behavior of prioritization of individual -mcustom-<insn>=
      options before the -mcustom-fpu-cfg= switch is maintained for
      compatibility.  */
-  if (nios2_custom_fpu_cfg_string && *nios2_custom_fpu_cfg_string)
-    nios2_handle_custom_fpu_cfg (nios2_custom_fpu_cfg_string, NULL, false);
+  if (GCC_OPTION (nios2_custom_fpu_cfg_string) && *GCC_OPTION (nios2_custom_fpu_cfg_string))
+    nios2_handle_custom_fpu_cfg (GCC_OPTION (nios2_custom_fpu_cfg_string), NULL, false);
 
   /* Handle options for individual FPU insns.  */
   for (i = 0; i < ARRAY_SIZE (nios2_fpu_insn); i++)
@@ -1150,7 +1150,7 @@ nios2_large_offset_p (int unspec)
 {
   gcc_assert (nios2_unspec_reloc_name (unspec) != NULL);
 
-  if (flag_pic == 2
+  if (GCC_OPTION (flag_pic) == 2
       /* FIXME: TLS GOT offset relocations will eventually also get this
 	 treatment, after binutils support for those are also completed.  */
       && (unspec == UNSPEC_PIC_SYM || unspec == UNSPEC_PIC_CALL_SYM))
@@ -1643,7 +1643,7 @@ nios2_symbol_ref_in_small_data_p (rtx sym)
 {
   gcc_assert (GET_CODE (sym) == SYMBOL_REF);
   return
-    (TARGET_GPOPT
+    (GCC_OPTION (TARGET_GPOPT)
      /* GP-relative access cannot be used for externally defined symbols,
 	because the compilation unit that defines the symbol may place it
 	in a section that cannot be reached from GP.  */
@@ -1697,7 +1697,7 @@ nios2_load_pic_register (void)
 static rtx
 nios2_load_pic_address (rtx sym, int unspec)
 {
-  if (flag_pic == 2
+  if (GCC_OPTION (flag_pic) == 2
       && GET_CODE (sym) == SYMBOL_REF
       && nios2_symbol_binds_local_p (sym))
     /* Under -fPIC, generate a GOTOFF address for local symbols.  */
@@ -1738,7 +1738,7 @@ nios2_legitimize_constant_address (rtx addr)
 
   if (nios2_tls_symbol_p (base))
     base = nios2_legitimize_tls_address (base);
-  else if (flag_pic)
+  else if (GCC_OPTION (flag_pic))
     base = nios2_load_pic_address (base, UNSPEC_PIC_SYM);
   else
     return addr;
@@ -1837,7 +1837,7 @@ nios2_adjust_call_address (rtx *call_op)
   rtx addr;
   gcc_assert (MEM_P (*call_op));
   addr = XEXP (*call_op, 0);
-  if (flag_pic && CONSTANT_P (addr))
+  if (GCC_OPTION (flag_pic) && CONSTANT_P (addr))
     {
       rtx reg = gen_reg_rtx (Pmode);
       emit_move_insn (reg, nios2_load_pic_address (addr, UNSPEC_PIC_CALL_SYM));
@@ -2115,7 +2115,7 @@ nios2_output_dwarf_dtprel (FILE *file, int size, rtx x)
 static void
 nios2_asm_function_prologue (FILE *file, HOST_WIDE_INT size ATTRIBUTE_UNUSED)
 {
-  if (flag_verbose_asm || flag_debug_asm)
+  if (GCC_OPTION (flag_verbose_asm) || GCC_OPTION (flag_debug_asm))
     {
       nios2_compute_frame_layout ();
       nios2_dump_frame_layout (file);
diff --git a/gcc/config/nios2/nios2.h b/gcc/config/nios2/nios2.h
index 17148d3..000d12f 100644
--- a/gcc/config/nios2/nios2.h
+++ b/gcc/config/nios2/nios2.h
@@ -454,7 +454,7 @@ do {                                                                    \
   else                                                                  \
     switch_to_section (bss_section);					\
   ASM_OUTPUT_TYPE_DIRECTIVE (FILE, NAME, "object");                     \
-  if (!flag_inhibit_size_directive)                                     \
+  if (!GCC_OPTION (flag_inhibit_size_directive))                                     \
     ASM_OUTPUT_SIZE_DIRECTIVE (FILE, NAME, SIZE);                       \
   ASM_OUTPUT_ALIGN ((FILE), exact_log2((ALIGN) / BITS_PER_UNIT));       \
   ASM_OUTPUT_LABEL(FILE, NAME);                                         \
@@ -480,7 +480,7 @@ do {                                                                    \
    with -shared or -fpie, but the warning is harmless and there seems to
    be no good way to suppress it.  */
 #define ASM_PREFERRED_EH_DATA_FORMAT(CODE, GLOBAL)		\
-  (flag_pic ? DW_EH_PE_aligned : DW_EH_PE_sdata4)
+  (GCC_OPTION (flag_pic) ? DW_EH_PE_aligned : DW_EH_PE_sdata4)
 
 /* Misc. parameters.  */
 
diff --git a/gcc/config/openbsd.h b/gcc/config/openbsd.h
index 7150d49..8fe94c1 100644
--- a/gcc/config/openbsd.h
+++ b/gcc/config/openbsd.h
@@ -223,7 +223,7 @@ while (0)
 #undef ASM_DECLARE_FUNCTION_SIZE
 #define ASM_DECLARE_FUNCTION_SIZE(FILE, FNAME, DECL)		\
   do {								\
-    if (!flag_inhibit_size_directive)				\
+    if (!GCC_OPTION (flag_inhibit_size_directive))				\
       ASM_OUTPUT_MEASURED_SIZE (FILE, FNAME);			\
   } while (0)
 #endif
@@ -236,7 +236,7 @@ while (0)
       HOST_WIDE_INT size;					\
       ASM_OUTPUT_TYPE_DIRECTIVE (FILE, NAME, "object");		\
       size_directive_output = 0;				\
-      if (!flag_inhibit_size_directive				\
+      if (!GCC_OPTION (flag_inhibit_size_directive)				\
 	  && (DECL) && DECL_SIZE (DECL))			\
 	{							\
 	  size_directive_output = 1;				\
@@ -256,7 +256,7 @@ while (0)
 do {									 \
      const char *name = XSTR (XEXP (DECL_RTL (DECL), 0), 0);		 \
      HOST_WIDE_INT size;						 \
-     if (!flag_inhibit_size_directive && DECL_SIZE (DECL)		 \
+     if (!GCC_OPTION (flag_inhibit_size_directive) && DECL_SIZE (DECL)		 \
          && ! AT_END && TOP_LEVEL					 \
 	 && DECL_INITIAL (DECL) == error_mark_node			 \
 	 && !size_directive_output)					 \
diff --git a/gcc/config/pa/pa-hpux10.h b/gcc/config/pa/pa-hpux10.h
index 1b4d21f..bee74a9 100644
--- a/gcc/config/pa/pa-hpux10.h
+++ b/gcc/config/pa/pa-hpux10.h
@@ -60,7 +60,7 @@ along with GCC; see the file COPYING3.  If not see
 		builtin_define ("PWB");					\
 	      }								\
 	  }								\
-	if (flag_pa_unix >= 1995)					\
+	if (GCC_OPTION (flag_pa_unix) >= 1995)					\
 	  {								\
 	    builtin_define ("_XOPEN_UNIX");				\
 	    builtin_define ("_XOPEN_SOURCE_EXTENDED");			\
diff --git a/gcc/config/pa/pa-hpux11.h b/gcc/config/pa/pa-hpux11.h
index 07f0dec..9e209c0 100644
--- a/gcc/config/pa/pa-hpux11.h
+++ b/gcc/config/pa/pa-hpux11.h
@@ -62,14 +62,14 @@ along with GCC; see the file COPYING3.  If not see
 	  }								\
 	if (!TARGET_64BIT)						\
 	  builtin_define ("_ILP32");					\
-	if (flag_pa_unix >= 1995 && !flag_iso)				\
+	if (GCC_OPTION (flag_pa_unix) >= 1995 && !flag_iso)				\
 	  {								\
 	    builtin_define ("_XOPEN_UNIX");				\
 	    builtin_define ("_XOPEN_SOURCE_EXTENDED");			\
 	  }								\
 	if (TARGET_HPUX_11_11)						\
 	  {								\
-	    if (flag_pa_unix >= 1998)					\
+	    if (GCC_OPTION (flag_pa_unix) >= 1998)					\
 	      {								\
 		if (flag_isoc94 || flag_isoc99 || c_dialect_cxx()	\
 		    || !flag_iso)					\
